Subject: bug#59426: 29.0.50; [tree-sitter] Some functions exceed maximum recursion limit

From: Mattias Engdegård <[email-masked]>
Date: Mon, 21 Nov 2022 17:56:01 +0100

21 nov. 2022 kl. 17.43 skrev Yuan Fu <[email-masked]>:

>> There are still scores of Elisp byte-compilation warnings but I leave fixing those to the tree-sitter developers.
> 
> Could you paste the warnings? Because I don’t see any warnings on my machine.

Build without tree-sitter and you should see them for several .el files, as well as when byte-compiling treesit-tests.el .
(I could paste the warnings but you need to reproduce them yourself in order to fix them anyway.)